# $Id: bsp.spec,v 1.19.2.4 2004/03/31 20:24:41 blues Exp $
Summary:	Simplistic script processor for use in initrd
Summary(pl):	Prosty interpreter skryptw dla initrd
Name:		bsp
Version:	0.2.2
Release:	3
Vendor:		Micha Moskal <malekith@pld-linux.org>
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.pld-linux.org/software/bsp/%{name}-%{version}.tar.gz
# Source0-md5:	cc084e0085513fd84c447af982bd4943
Patch0:		%{name}-syscall-ppc.patch
Patch1:		%{name}-fix_url.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the only thing (beside /dev/console and actual modules) you
need to place on initrd image for highly modularized kernels.

%description -l pl
Ten program jest jedyn rzecz jak potrzebujesz umieci na obrazie
initrd dla bardzo zmodularyzowanych jajek (nie liczc /dev/console i
moduw).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} small \
	CFLAGS="%{rpmcflags} -fno-inline"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/sbin

install bsp-raid $RPM_BUILD_ROOT/sbin/bsp
install bsp $RPM_BUILD_ROOT/sbin/bsp-raidless

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README NEWS
%attr(755,root,root) /sbin/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All below listed persons can be reached on <cvs_login>@pld-linux.org

$Log: bsp.spec,v $
Revision 1.19.2.4  2004/03/31 20:24:41  blues
- missing md5

Revision 1.19.2.3  2004/03/31 20:21:18  blues
- release 3 - remove pld.org.pl from generated initrd...

Revision 1.19.2.2  2003/09/09 10:50:20  ankry
- more pld.org.pl -> pld-linux.org changes

Revision 1.19.2.1  2003/07/11 12:00:33  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.19  2002/04/25 07:53:00  marcus
- added patch to build bsp on ppc with kernel 2.2 headers
- rel.2.

Revision 1.18  2002/03/25 11:13:52  malekith
- updated to 0.2.2 (raidstart will now work)

Revision 1.17  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/12 22:45:03  kloczek
- o .. not down to rel 1 but up to rel 3 :>

Revision 1.14  2002/01/11 15:50:51  kloczek
- release 2: spec adapterized.

Revision 1.13  2002/01/07 13:37:40  qboosh
- typo (in pl summary)

Revision 1.12  2001/11/29 13:16:33  malekith
- rel 2
- install bsp-raid as /sbin/bsp, raidless bsp is installed as
  /sbin/bsp-raidless, it is possible to hack geninitrd to use it
  when appropiate (now bsp will work on raid and raidless systems,
  but is 20k bigger)

Revision 1.11  2001/09/24 13:51:27  malekith
hack to avoid redirect to xmknod

Revision 1.10  2001/09/24 13:46:54  malekith
ver 0.2.1/delicatessen

Revision 1.9  2001/07/24 15:49:26  malekith
- 0.2.0 stbr

Revision 1.8  2001/06/06 12:58:32  malekith
0.1.5

Revision 1.7  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.6  2001/03/28 13:46:33  malekith
updated to 0.1.4 (added autoclean)

Revision 1.5  2001/03/19 15:24:26  malekith
updated to 0.1.3

Revision 1.4  2001/02/10 08:25:36  kloczek
- reelase 2: fixed passing optimization flags to be %%{degu} compliant.

Revision 1.3  2001/01/16 14:50:54  malekith
fixed to use --debug

Revision 1.2  2000/12/14 17:27:32  kloczek
- cosmetics.

Revision 1.1  2000/12/14 17:22:47  malekith
- from scratch.
